diff --git a/dev-ruby/actionmailer/Manifest b/dev-ruby/actionmailer/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/actionmailer/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/actionmailer/actionmailer-4.2.11.1.ebuild b/dev-ruby/actionmailer/actionmailer-4.2.11.1.ebuild
new file mode 100644
index 000000000..611c2aaf4
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-4.2.11.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+ >=dev-ruby/rails-dom-testing-1.0.5:1"
+
+ruby_add_bdepend "test? (
+ dev-ruby/mocha:0.14
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid a test failing only on attachment ordering, since this is a
+ # security release.
+ sed -i -e '/adding inline attachments while rendering mail works/askip "gentoo: fails on ordering"' test/base_test.rb || die
+}
diff --git a/dev-ruby/actionmailer/metadata.xml b/dev-ruby/actionmailer/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/actionmailer/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/actionpack/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/actionpack/actionpack-4.2.11.1.ebuild b/dev-ruby/actionpack/actionpack-4.2.11.1.ebuild
new file mode 100644
index 000000000..031bb0adc
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-4.2.11.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionview-${PV}
+ >=dev-ruby/rack-1.6.0:1.6
+ >=dev-ruby/rack-test-0.6.2:0.6
+ >=dev-ruby/rails-html-sanitizer-1.0.2:1
+ >=dev-ruby/rails-dom-testing-1.0.5:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ dev-ruby/bundler
+ ~dev-ruby/activemodel-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Skip a failing test related to security updates in 4.2.5.1. Let's
+ # assume that this is not a bug but a test lagging a security
+ # measure.
+ sed -i -e '/test_dynamic_render_with_file/,/^ end/ s:^:#:' \
+ test/controller/render_test.rb || die
+}
diff --git a/dev-ruby/actionpack/metadata.xml b/dev-ruby/actionpack/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/actionpack/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/actionview/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/actionview/actionview-4.2.11.1.ebuild b/dev-ruby/actionview/actionview-4.2.11.1.ebuild
new file mode 100644
index 000000000..af817882a
--- /dev/null
+++ b/dev-ruby/actionview/actionview-4.2.11.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubis-2.7.0
+ >=dev-ruby/rails-html-sanitizer-1.0.3:1
+ >=dev-ruby/rails-dom-testing-1.0.5:1
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+}
diff --git a/dev-ruby/actionview/metadata.xml b/dev-ruby/actionview/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/actionview/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/activejob/Manifest b/dev-ruby/activejob/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/activejob/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/activejob/activejob-4.2.11.1.ebuild b/dev-ruby/activejob/activejob-4.2.11.1.ebuild
new file mode 100644
index 000000000..677470354
--- /dev/null
+++ b/dev-ruby/activejob/activejob-4.2.11.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Job framework with pluggable queues"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.3.0
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/helper.rb || die "Unable to remove load paths"
+
+ # Remove all currently unpackaged queues.
+ sed -i -e 's/delayed_job qu que queue_classic resque sidekiq sneakers sucker_punch backburner//' Rakefile || die
+}
diff --git a/dev-ruby/activejob/metadata.xml b/dev-ruby/activejob/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/activejob/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
new file mode 100644
index 000000000..96707538d
--- /dev/null
+++ b/dev-ruby/activeldap/Manifest
@@ -0,0 +1 @@
+DIST activeldap-4.0.6.gem 225280 BLAKE2B 0f03ef95f3d0600d2661eab048c8dda3fbabe519add67f7785895e346d835d1e0396270f829f16a982f12863c80378be2f4f7ff7cf84016007b005b1914cec15 SHA512 03053e3798b557c73c3a0918b72d1d3c2cada4da3475913ef17a6f9f2f1ac1e102052459ef1a6d8c25ce41382b64c1a3097ccba1c768497a33a3a971b9778d3b
diff --git a/dev-ruby/activeldap/activeldap-4.0.6.ebuild b/dev-ruby/activeldap/activeldap-4.0.6.ebuild
new file mode 100644
index 000000000..f29bab666
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-4.0.6.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.textile TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+ >dev-ruby/activemodel-4.0.0:*
+ dev-ruby/locale
+ dev-ruby/ruby-gettext
+ dev-ruby/gettext_i18n_rails
+ || ( >=dev-ruby/ruby-ldap-0.8.2 dev-ruby/ruby-net-ldap )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc doc/text/*
+
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+}
diff --git a/dev-ruby/activeldap/metadata.xml b/dev-ruby/activeldap/metadata.xml
new file mode 100644
index 000000000..5dc46abd2
--- /dev/null
+++ b/dev-ruby/activeldap/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ activeldap/activeldap
+
+
diff --git a/dev-ruby/activemodel/Manifest b/dev-ruby/activemodel/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/activemodel/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/activemodel/activemodel-4.2.11.1.ebuild b/dev-ruby/activemodel/activemodel-4.2.11.1.ebuild
new file mode 100644
index 000000000..04336d85d
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-4.2.11.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/bundler
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test crashing newer versions of minitest
+ rm -f test/cases/railtie_test.rb || die
+}
diff --git a/dev-ruby/activemodel/metadata.xml b/dev-ruby/activemodel/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/activemodel/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/activerecord/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/activerecord/activerecord-4.2.11.1.ebuild b/dev-ruby/activerecord/activerecord-4.2.11.1.ebuild
new file mode 100644
index 000000000..8c862ae77
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-4.2.11.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86 ~amd64-linux"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+ ~dev-ruby/activemodel-${PV}
+ >=dev-ruby/arel-6.0:6.0
+ sqlite? ( >=dev-ruby/sqlite3-1.3.6 )
+ mysql? ( || ( dev-ruby/mysql2:0.4 ) )
+ postgres? ( >=dev-ruby/pg-0.15.0 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/bundler
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionmailer-${PV}
+ >=dev-ruby/sqlite3-1.3.5
+ dev-ruby/mocha:0.14
+ dev-ruby/minitest:5
+ )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ rm ../Gemfile.lock || die
+ sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|mime-types\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
+ sed -i -e '/bcrypt/ s/3.0.0/3.0/' ../Gemfile || die
+
+ # Add back json in the Gemfile because we dropped some dependencies
+ # earlier that implicitly required it.
+ sed -i -e '$agem "json"' ../Gemfile || die
+
+ # Avoid test depending on mysql adapter which we don't support for
+ # this Rails version to simplify our dependencies.
+ rm test/cases/connection_specification/resolver_test.rb || die
+
+ # Avoid single test using mysql dependencies.
+ rm test/cases/invalid_connection_test.rb || die
+}
+
+each_ruby_test() {
+ if use sqlite; then
+ ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+ fi
+}
diff --git a/dev-ruby/activerecord/metadata.xml b/dev-ruby/activerecord/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/activerecord/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/activesupport/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/activesupport/activesupport-4.2.11.1.ebuild b/dev-ruby/activesupport/activesupport-4.2.11.1.ebuild
new file mode 100644
index 000000000..d895fc39e
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-4.2.11.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/i18n-0.7:0.7
+ >=dev-ruby/tzinfo-1.1:1
+ >=dev-ruby/minitest-5.1:5
+ >=dev-ruby/thread_safe-0.3.4:0"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/nokogiri-1.4.5
+ >=dev-ruby/builder-3.1.0
+ dev-ruby/rack
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\|rack-cache\|sqlite\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '/rake/ s/12.3/12.4/ ; /dalli/ s/2.7.7/2.7.10/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that fails with Minitest 5.4 since that already defines
+ # a string E in its TestCase.
+ rm test/core_ext/marshal_test.rb || die
+ sed -i -e '/test_const_missing_in_anonymous_modules/askip "gentoo minitest"' test/dependencies_test.rb || die
+
+ # Avoid test crashing newer versions of minitest
+ rm -f test/autoload_test.rb test/core_ext/object/json_cherry_pick_test.rb test/core_ext/object/json_gem_encoding_test.rb || die
+}
diff --git a/dev-ruby/activesupport/metadata.xml b/dev-ruby/activesupport/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/activesupport/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/rails/Manifest b/dev-ruby/rails/Manifest
new file mode 100644
index 000000000..fd7c4e57e
--- /dev/null
+++ b/dev-ruby/rails/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.gem 1476096 BLAKE2B 18fbaea1b955e586bf84db43dd24998e18175895385b7d360f0b87b8ff283313b360180adba73f1172ce7a3633813e8e59b3dfa18111f439afd54f3ed576440f SHA512 55cd57fdd9d8f1efa0f8c7e7c1dbcadc1a7c2bdcb6230a1c88cea5c4bb567916d1c511749a08162e509c6fe15d4f57634bcedd4e2a32fe6ed5a726a229a6ecab
diff --git a/dev-ruby/rails/metadata.xml b/dev-ruby/rails/metadata.xml
new file mode 100644
index 000000000..34dab8d5d
--- /dev/null
+++ b/dev-ruby/rails/metadata.xml
@@ -0,0 +1,15 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+
diff --git a/dev-ruby/rails/rails-4.2.11.1.ebuild b/dev-ruby/rails/rails-4.2.11.1.ebuild
new file mode 100644
index 000000000..3d2ef63c6
--- /dev/null
+++ b/dev-ruby/rails/rails-4.2.11.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+# The guides are now here but we'd need to rebuilt them first.
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md guides/CHANGELOG.md"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="ruby on rails is a web-application and persistance framework"
+HOMEPAGE="http://www.rubyonrails.org"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux"
+
+IUSE="+asset-pipeline"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionmailer-${PV}
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/bundler-1.3:0
+ dev-ruby/sprockets-rails:*
+ asset-pipeline? (
+ dev-ruby/jquery-rails:*
+ >=dev-ruby/sass-rails-5.0:5.0
+ >=dev-ruby/uglifier-1.3.0:*
+ >=dev-ruby/coffee-rails-4.1.0:*
+ )"
+
+# also: turbolinks, >=jbuilder-1.2:1
diff --git a/dev-ruby/railties/Manifest b/dev-ruby/railties/Manifest
new file mode 100644
index 000000000..ebc18fb54
--- /dev/null
+++ b/dev-ruby/railties/Manifest
@@ -0,0 +1 @@
+DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
diff --git a/dev-ruby/railties/metadata.xml b/dev-ruby/railties/metadata.xml
new file mode 100644
index 000000000..42d41e33d
--- /dev/null
+++ b/dev-ruby/railties/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ ruby@gentoo.org
+ Gentoo Ruby Project
+
+
+ rails/rails
+
+
diff --git a/dev-ruby/railties/railties-4.2.11.1.ebuild b/dev-ruby/railties/railties-4.2.11.1.ebuild
new file mode 100644
index 000000000..8eace7949
--- /dev/null
+++ b/dev-ruby/railties/railties-4.2.11.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86 ~amd64-linux"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.21"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionpack-${PV}
+ >=dev-ruby/thor-0.18.1 =dev-ruby/rake-0.8.7"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+
+ # Also allow rdoc 4.x
+ sed -i -e 's/~> 3.4/>= 3.4/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}